curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipient": {
"recipientKey": "RECIPIENT_KEY",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "Full Name",
"email": "email@email.com",
"position": 1
}
}
}'
{
"recipient": {
"changeTime": "2023-12-01 12:18:55"
},
"code": "201",
"message": "Recipient updated"
}
Recipient
Update recipient
Update an existing recipient.
POST
/
api
/
recipient
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipient": {
"recipientKey": "RECIPIENT_KEY",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "Full Name",
"email": "email@email.com",
"position": 1
}
}
}'
{
"recipient": {
"changeTime": "2023-12-01 12:18:55"
},
"code": "201",
"message": "Recipient updated"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
required
Key of the contract.
object
required
Structure, add the fields that need to be updated and ignore the rest.
Show child attribute
Show child attribute
string
required
Key of the recipient that needs to be updated.
string
What the recipient needs to do with the contract. Available options:
view, sign, approve, and lock.string
Custom note to the recipient. If not specified, the default message will be sent.
string
Full name of the recipient.
string
Email of the recipient.
number
Signing order. If not specified, all requests will be sent simultaneously.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"recipient": {
"recipientKey": "RECIPIENT_KEY",
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "Full Name",
"email": "email@email.com",
"position": 1
}
}
}'
{
"recipient": {
"changeTime": "2023-12-01 12:18:55"
},
"code": "201",
"message": "Recipient updated"
}
⌘I